#
# spec file for package HaXml
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name HaXml
Name:           %{pkg_name}
Version:        1.25.4
Release:        11.1
Summary:        Utilities for manipulating XML documents
License:        GPL-2.0 AND LGPL-2.1
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{name}-%{version}/revision/1.cabal#/%{name}.cabal
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-polyparse-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros

%description
Haskell utilities for parsing, filtering, transforming and generating XML
documents.

%package -n ghc-%{name}
Summary:        Haskell %{name} library
Group:          System/Libraries

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.

%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Group:          Development/Libraries/Haskell
Requires:       ghc-%{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.

%prep
%setup -q
cp -p %{SOURCE1} %{name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%post -n ghc-%{name}-devel
%ghc_pkg_recache

%postun -n ghc-%{name}-devel
%ghc_pkg_recache

%files
%doc COPYRIGHT
%doc LICENCE-GPL LICENCE-LGPL
%{_bindir}/Canonicalise
%{_bindir}/CanonicaliseLazy
%{_bindir}/DtdToHaskell
%{_bindir}/FpMLToHaskell
%{_bindir}/MkOneOf
%{_bindir}/Validate
%{_bindir}/XsdToHaskell
%{_bindir}/Xtract

%files -n ghc-%{name} -f ghc-%{name}.files
%doc COPYRIGHT

%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%doc LICENCE-GPL LICENCE-LGPL

%changelog
* Tue Jun 19 2018 psimons@suse.com
- Update to version 1.25.4 revision 1.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jun 25 2017 psimons@suse.com
- Update to version 1.25.4.
* Tue Jul 19 2016 psimons@suse.com
- Update to version 1.25.3 revision 0 with cabal2obs.
